Zydis v4.1.1

Loading...
Searching...
No Matches
ZydisDecodedInstructionRawVex_ Struct Reference

Detailed info about the VEX prefix. More...

`#include <DecoderTypes.h>`

## Data Fields
ZyanU8 | R
| Extension of the ModRM.reg field (inverted).
ZyanU8 | X
| Extension of the SIB.index field (inverted).
ZyanU8 | B
| Extension of the ModRM.rm, SIB.base, or opcode.reg field (inverted).
ZyanU8 | m_mmmm
| Opcode-map specifier.
ZyanU8 | W
| 64-bit operand-size promotion or opcode-extension.
ZyanU8 | vvvv
| NDS/NDD (non-destructive-source/destination) register specifier (inverted).
ZyanU8 | L
| Vector-length specifier.
ZyanU8 | pp
| Compressed legacy prefix.
ZyanU8 | offset
| The offset of the first VEX byte, relative to the beginning of the instruction, in bytes.
ZyanU8 | size
| The size of the VEX prefix, in bytes.

## Detailed Description

Detailed info about the VEX prefix.

## Field Documentation

## ◆ B

ZyanU8 B

Extension of the ModRM.rm, SIB.base, or opcode.reg field (inverted).

## ◆ L

ZyanU8 L

Vector-length specifier.

## ◆ m_mmmm

ZyanU8 m_mmmm

Opcode-map specifier.

## ◆ offset

ZyanU8 offset

The offset of the first VEX byte, relative to the beginning of the instruction, in bytes.

## ◆ pp

ZyanU8 pp

Compressed legacy prefix.

## ◆ R

ZyanU8 R

Extension of the ModRM.reg field (inverted).

## ◆ size

ZyanU8 size

The size of the VEX prefix, in bytes.

## ◆ vvvv

ZyanU8 vvvv

NDS/NDD (non-destructive-source/destination) register specifier (inverted).

## ◆ W

ZyanU8 W

64-bit operand-size promotion or opcode-extension.

## ◆ X

ZyanU8 X

Extension of the SIB.index field (inverted).

The documentation for this struct was generated from the following file:

- include/Zydis/DecoderTypes.h